View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
18136Bug reportsPluginspublic2022-07-05 12:27
ReporterMazi Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.28.x 
Fixed in Version5.3.x 
Summary18136: Core plugin PasswordRequirement shows duplicate setting fields
Description

I recnetly updated a test system to the latest 5.3.15 version and noticed that PW default requirements increased. When checking the settings, I notived that for every field the is a duplicate entry, see screenshot.

I am not sure if this is intended, maybe to have different requirements for new and existing passwords?
If so, there should at least be a note why we have each field shown twice and maybe rename them a little.

Steps To Reproduce

Steps to reproduce

call plugin setting of this plugin

Expected result

see every setting with the same name only once

Actual result

not see duplicate fields?

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)5.3.15
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMariaDB 10.1.48
Server OS (if known)Ubuntu 18
Webserver software & version (if known)Apache 2.0
PHP Version8.1.6

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Mazi

Mazi

2022-05-20 16:07

updater  

image.png (51,475 bytes)   
image.png (51,475 bytes)   
DenisChenu

DenisChenu

2022-05-20 16:09

developer   ~69920

The 1st one for Admin password
The 2nd part for Token password

No real way to separate with fieldset or block with current settings system

I add title as info content ?

Mazi

Mazi

2022-05-20 21:10

updater   ~69942

Thanks for the explanation, Denis!
I think we could simply add "Admin password: ..." and "Token: ..." as a kind of prefix at the setting to differentiate this.

DenisChenu

DenisChenu

2022-05-21 15:45

developer   ~69956

I make a 1st version monday or thurday and send you a picture

I think it's better to have a clean separation
I can not really warp in fieldset i think (must test) : if oi was able : it's the more clean.

DenisChenu

DenisChenu

2022-06-03 09:28

developer   ~70213

https://github.com/LimeSurvey/LimeSurvey/pull/2452

gabrieljenik

gabrieljenik

2022-06-27 01:16

manager   ~70538

Titles added. Tested OK

image-2.png (24,346 bytes)   
image-2.png (24,346 bytes)   
DenisChenu

DenisChenu

2022-07-01 14:56

developer   ~70673

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33615

LimeBot

LimeBot

2022-07-05 12:27

administrator   ~70700

Fixed in Release 5.3.23+220705

Related Changesets

LimeSurvey: master a23193b9

2022-07-01 14:36:20

DenisChenu


Committer: GitHub Details Diff
Fixed issue 18136: Core plugin PasswordRequirement shows duplicate setting fields (#2452) Affected Issues
18136
mod - application/core/plugins/PasswordRequirement/PasswordRequirement.php Diff File

Issue History

Date Modified Username Field Change
2022-05-20 16:07 Mazi New Issue
2022-05-20 16:07 Mazi File Added: image.png
2022-05-20 16:09 DenisChenu Note Added: 69920
2022-05-20 16:09 DenisChenu Bug heat 0 => 2
2022-05-20 16:09 DenisChenu Assigned To => DenisChenu
2022-05-20 16:09 DenisChenu Status new => assigned
2022-05-20 21:10 Mazi Note Added: 69942
2022-05-20 21:10 Mazi Bug heat 2 => 4
2022-05-21 15:45 DenisChenu Note Added: 69956
2022-06-03 09:28 DenisChenu Assigned To DenisChenu =>
2022-06-03 09:28 DenisChenu Status assigned => ready for code review
2022-06-03 09:28 DenisChenu Note Added: 70213
2022-06-27 01:16 gabrieljenik Note Added: 70538
2022-06-27 01:16 gabrieljenik File Added: image-2.png
2022-06-27 01:16 gabrieljenik Bug heat 4 => 6
2022-06-27 01:16 gabrieljenik Assigned To => gabrieljenik
2022-06-27 01:16 gabrieljenik Status ready for code review => ready for merge
2022-07-01 14:56 DenisChenu Changeset attached => LimeSurvey master a23193b9
2022-07-01 14:56 DenisChenu Note Added: 70673
2022-07-01 14:56 DenisChenu Assigned To gabrieljenik => DenisChenu
2022-07-01 14:56 DenisChenu Resolution open => fixed
2022-07-01 17:13 DenisChenu Status ready for merge => resolved
2022-07-01 17:13 DenisChenu Fixed in Version => 5.3.x
2022-07-05 12:27 LimeBot Note Added: 70700
2022-07-05 12:27 LimeBot Status resolved => closed
2022-07-05 12:27 LimeBot Bug heat 6 => 8